package com.ruoyi.system.web;

public enum ServiceCode {
    /**
     * 成功请求
     */
    OK(200),
    /**
     * 错误请求
     */
    ERR_BAD_REQUEST(400),
    /**
     * 未经授权
     */
    ERR_UNAUTHORIZED(401),
    /**
     * 授权已禁用
     */
    ERR_UNAUTHORIZED_DISABLED(402),
    /**
     * 禁止访问
     */
    ERR_FORBIDDEN(403),
    /**
     * 未找到
     */
    ERR_NOT_FOUND(404),
    /**
     * 冲突
     */
    ERR_CONFLICT(409),
    /**
     * 图形
     */
    ERR_CODE(410),
    ERR_INSERT(500),
    ERR_DELETE(501),
    ERR_UPDATE(502),
    ERR_SELECT(503),
    /**
     * 过期
     */
    ERR_JWT_EXPIRED(600),
    ERR_JWT_MALFORMED(601),
    ERR_JWT_SIGNATURE(602),
    /**
     * 未知
     */
    ERR_UNKNOWN(999);

    private Integer value;

    ServiceCode(Integer value) {
        this.value = value;
    }
    public Integer getValue(){
        return value;
    }
}
